Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Maps library is a geographical data visualization tool for rendering maps from GeoJSON data or other map providers like OpenStreetMap, Google Maps, Bing Maps, etc. Its rich feature set includes markers, labels, bubbles, navigation lines, legends, tooltips, zooming, panning, drill down, and more.


Why choose Syncfusion Essential Studio® React Maps library?

React Maps customization.

Easy to customize

To visualize a geometric shape in SVG format in Maps, you can bind GeoJSON data to it. GeoJSON data is light and simple to read. You can render a world map or a US map and alter it with the React Maps control’s built-in options to achieve the required layout.

React Maps geospatial imaging.

Geospatial imaging services

Works with services like Google Maps, Bing Maps, and OpenStreetMap to view satellite, aerial, and street maps by locating map data quickly without the use of any external shape inputs.

React Maps markers and bubbles.

Markers and bubbles

Markers are notes on maps that indicate specific latitude and longitude points using symbols. Bubbles are used to convey additional information about shapes such as population density and land area. Circle and square bubbles are available.

React Maps multiple layers.

Multiple geometric layers

A map with several geometric layers in a single view can be generated with sublayers. You can render the geographic elements of a country, such as rivers and valleys, as a sublayer. Each layer can be drilled.

React Maps adaptive layout.

Adapts to any resolution

Maps has a highly responsive layout and an optimized design for desktops, touchscreens, and phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

React Maps projections.

Custom projections

The React Maps component supports Mercator, Equirectangular, Miller, Eckert 3, Eckert 5, Eckert 6, Winkel 3, and Aitoff projections.

React Maps zooming.

Zooming and panning

Zooming and panning in React Maps are fast. Zoom the map by scrolling the mouse wheel, clicking the shapes, or using the zooming toolbar. Pan the map to navigate among regions easily.

React Maps Globalization.

Globalization and localization

An internationalization library is used to globalize number, date, and time values in Maps. All the strings used in the Maps user interface can be localized by users as needed. Localizing UI strings involves using the localization (l10n) library.


React Maps library code example

Easily get started with React Maps component using a few simple lines of TSX code, as demonstrated below. Also explore our React Maps library example, which shows you how to render maps.

  1. import * as React from 'react';
  2. import { world_map } from './world_map';
  3. import { MapsComponent, LayersDirective, LayerDirective } from '@syncfusion/ej2-react-maps';
  4.  
  5. class App extends React.Component {
  6. render() {
  7. return (<MapsComponent id="maps">
  8. <LayersDirective>
  9. <LayerDirective shapeData={world_map} dataSource= {
  10. [{ "Country": "China", "Membership": "Permanent", "Color": "#feb24c"},
  11. { "Country": "United States", "Membership": "Permanent", "Color": "#feb24c"},
  12. { "Country": "United Kingdom", "Membership": "Permanent", "Color": "#feb24c"},
  13. { "Country": "Germany", "Membership": "Permanent", "Color": "#feb24c"},
  14. { "Country": "Italy", "Membership": "Permanent", "Color": "#feb24c"},
  15. { "Country": "India", "Membership": "Permanent", "Color": "#feb24c"},
  16. { "Country": "Australia", "Membership": "Permanent", "Color": "#feb24c"},
  17. { "Country": "Japan", "Membership": "Permanent", "Color": "#feb24c"},
  18. { "Country": "France","Membership": "Permanent", "Color": "#feb24c" },
  19. { "Country": "Russia","Membership": "Permanent", "Color": "#feb24c"},
  20. { "Country": "Kazakhstan","Membership": "Non-Permanent", "Color": "#f03b20"},
  21. {"Country": "Poland","Membership": "Non-Permanent", "Color": "#f03b20"},
  22. { "Country": "Sweden","Membership": "Non-Permanent", "Color": "#f03b20"},
  23. { "Country": "South Africa","Membership": "Non-Permanent", "Color": "#f03b20"}]} shapePropertyPath='name' shapeDataPath='Country'
  24. shapeSettings=>
  25. </LayerDirective>
  26. </LayersDirective>
  27. </MapsComponent>);
  28. }
  29. }
  30. export default App;

GeoJSON layer

Bind GeoJSON data to the maps to render any geometric shape in SVG (Scalable Vector Graphics) to visualize data. For example, render the world map or US map and customize it to the desired look using built-in options in the React Maps component. Add any number of layers to the maps.

React Maps library binding GeoJSON data.


React Maps rendered with geometry types over an OpenStreetMap map.

Geometry types

GeoJSON data contains geometry objects with properties such as geometry types and coordinates. The geometry types are the values present in the geometry objects of the GeoJSON data that specify the type of shape to be rendered, along with the coordinates that help draw the shape’s boundary line. Polygon, MultiPolygon, LineString, MultiLineString, Point, MultiPoint, and GeometryCollection are the supported geometry types.


Geo-imagery visuals

Built-in support for external geospatial imagery services, such as Bing Maps and OpenStreetMap, is used to visualize satellite, aerial, and street maps, or other kinds of imagery tiles without any external shape inputs. In addition to Bing Maps and OpenStreetMap, users can also render maps from various map providers, for example, Google Maps Tile API, TomTom, Mapbox, and Esri’s ArcGIS. By using these external services, map data can be located easily.

React Maps library geo-imagery visuals.


Multiple layers in React Maps library.

Multi-layers

Using sublayers, a React map can be created with multiple geometric layers in a single view. For example, render additional geographic features of a country such as rivers, valleys, and more as sublayers. You can also drill down in each layer.


Marker

Denote a place with symbols or mark messages at the desired latitude and longitude on a map using markers. For example, indicate a particular place on a US map using a balloon marker shape. Also, place any HTML element as a marker and add multiple markers to the map.

React Maps with multiple markers.


React Maps rendered with marker clustering option.

Marker clustering

Display multiple markers in the same location by clustering them. For example, use markers to indicate the top 50 cities in the world. If a marker overlaps another, they will be clustered, and the total number of markers will be displayed over the cluster.


Marker drag and drop

Drag and drop markers to reposition them in maps. After dragging and dropping markers, the marker data source and elements such as marker shape, color, legend, and tooltip content can be changed using supported events.

React Maps with marker drag and drop option.


React Maps is rendered with polygon.

Polygons

Polygons can be displayed over a shape layer or an online map to highlight a specific region.


Data labels

Data labels on maps provide identification for the shapes by displaying their names. Trim or hide the labels at intersections with other labels and when they exceed shape bounds.

React Maps rendered with data labels.


React Maps rendered with multiple bubbles.

Bubble

Create a simple map with bubbles to represent additional information about shapes such as population density, land area, and more. Bubbles are rendered with various magnitudes and colors based on the underlying data values of the shape.


Denote flight routes or ship routes between two places on a geographic map with connector lines. The lines can also be curved.

React Maps rendered with navigation lines.


Color mapping

Categorize the shapes on a map by customizing their color based on the underlying values. The React Maps component supports three types of color mapping: range color mapping, equal color mapping, and desaturation color mapping.

Range color mapping applied to the shapes in React Maps.

Range color mapping

Apply colors to the shapes by comparing their values with a desired numeric range. For example, apply colors to states in the US based on population density.

Equal color mapping applied to the shapes in React Maps.

Equal color mapping

Differentiate a shape’s fill based on its underlying values and colors by using equal color mapping. For example, apply colors to states in the US based on a winning political candidate.

Desaturation color mapping applied to the shapes in React Maps.

Desaturation color mapping

Change the opacity of the shapes by comparing their values with a desired numeric range. Minimum and maximum opacity of the shapes can be customized.

Desaturation color mapping with multiple colors applied to the shapes in React Maps.

Desaturation with multiple colors

Apply multiple colors to the shape from a gradient by comparing their values with a desired numeric range. Any number of colors can be specified for creating the gradient.


Legend

Legends provide valuable information for interpreting the map with various colors, shapes, or other identifiers based on data and application needs. The React Maps component supports two types of legends: default and interactive.

React Maps rendered with default legend items.

Default

A map with a legend contains swatches of symbols with descriptions to denote the categories of shapes.

React Maps rendered with interactive legend.

Interactive

Use a map with an interactive legend to find the range of an underlying shape’s value on mouse hover.


Zooming and panning

Zoom the map for close-up analysis by pinching the map, scrolling the mouse wheel, clicking the shapes, or by using zooming toolbar; and pan the map for easy navigation across regions. Also change the zoom level of the initial rendering.

Zooming and panning enabled in React Maps.


Displays a tooltip on moving mouse over the React Maps.

Tooltip

The tooltip displays details about the shape value on mouse hover. Tooltips are also displayed for markers and bubbles on a map.


Drill down

Drill down in rendered maps to display different shape data located on another layer. For example, the initial layer may render the world map and on clicking a particular continent, the continent alone will render separately on another layer.

React Maps rendered with multiple layers and enabled drill-down option.


Particular shape selected in the rendered React Maps.

Selection and highlight

Select a particular shape on mouse click or highlight on mouse hover to bring the focus to the other shapes on a map.


Custom shapes

Create a map with custom shapes by rendering personalized GeoJSON data to indicate building infrastructure, points of interest, flight seat arrangement, sports stadiums, and more.

Bus seat selection simulated in React Maps.


React Maps rendered with an annotation that displays a compass image.

Annotation

Display any HTML element as an annotation at a specific point of interest on a map. For example, place a compass image on the map using annotation. You can also add multiple annotations to a map.


Projection

Change the projection of the default rendering of a map. The React Maps component supports various types of projections: Mercator, Equirectangular, Miller, Eckert 3, Eckert 5, Eckert 6, Winkel 3, and Aitoff.


React Maps component rendered with title and subtitle.

Title and subtitle

Add title and subtitle to visualize additional information in the React Maps component. Fonts and alignment of the title and subtitle can also be customized.


Appearance

Customize the look and feel of a map by changing the fill color, background, border, and opacity of shapes. Almost all the elements in React Maps are customizable. This component also provides built-in palettes with customizable options by default.

React Maps rendered with customized appearance.


State persistence with React Maps library.

State persistence

State persistence allows the Maps component to maintain state by storing the most recent model value in browser cookies. When the appropriate setting is enabled, some of the Maps component model values are preserved even after the page is refreshed.


Exporting

Export or print the rendered React Maps to save a local copy for further use.

Export React Maps illustration.

Export

Export the React Maps to a PDF document or in image formats such as SVG, PNG, and JPEG on the client side.

Print React Maps illustration.

Print

Print the rendered React Maps directly from the browser.


Accessibility

Keyboard navigation in React Maps Library.

Keyboard navigation

The React Maps library ensures that every element is keyboard accessible. Major features like zooming, panning, shape selection, legend, and drill down can be performed using just keyboard shortcuts, no mouse interaction required. This helps in creating highly accessible applications.

Accessibility in React Maps library.

Accessibility

The React Maps library has complete WAI-ARIA accessibility support. The Maps UI includes high-contrast visual elements that help visually impaired people have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Other supported frameworks

Maps is also available in Blazor, Angular, Vue, and JavaScript frameworks. Check out the different Maps platforms at the following links:

Supported browsers

The React Maps library works well with all modern web browsers, such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers in React Maps Library.

90+ REACT UI COMPONENTS

Frequently Asked Questions

The Syncfusion React Maps component supports the following features:

  • GeoJSON data can be used to render geometric or custom shapes.
  • Render maps from map providers like Bing Maps, OpenStreetMap, and Google Maps.
  • Markers can be added on maps at specified latitudes and longitudes.
  • Fast-paced performance on zooming and panning with elegant animation.
  • One of the best React Maps on the market, offering feature-rich UI to interact with the software.
  • Simple configuration and APIs.
  • Support for all modern browsers.
  • Touch-friendly and responsive.
  • Expansive learning resources such as demos and documentation help you learn quickly and get started fast.

We do not sell the React Maps separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Maps. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Maps library demo, which demonstrates how to render and configure the Maps.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Maps, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Maps component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free Community License is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Recent activities in React Maps Library tutorials and blogs

The React Maps Library tutorial videos and blog posts will guide you in building your first app with React components. They provide problem-solving strategies, describe features and functionalities, announce new feature releases, explain best practices, and showcase example scenarios. Explore our latest posts on our blog and tutorial video channels for React Maps Library updates.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Maps library is a geographical data visualization tool for rendering maps from GeoJSON data or other map providers like OpenStreetMap, Google Maps, and Bing Maps. Its rich feature set includes markers, labels, bubbles, navigation lines, legends, tooltips, zooming, panning, drill down, and more.


Why choose the Syncfusion Angular Maps library?

Angular Maps customization.

Easy to customize

To visualize a geometric shape in SVG format in Maps, you can bind GeoJSON data to it. GeoJSON data is light and simple to read. You can render a world map or a U.S. map and alter it with the Angular Maps control’s built-in options to achieve the required layout.

Angular Maps geospatial imaging.

Geospatial imaging services

Works with services like Google Maps, Bing Maps, and OpenStreetMap to view satellite, aerial, and street maps by locating map data quickly without the use of any external shape inputs.

Angular Maps markers and bubbles.

Markers and bubbles

Markers are notes on maps that indicate specific latitude and longitude points using symbols. Bubbles are used to convey additional information about shapes such as population density and land area.

Angular Maps multiple layers.

Multiple geometric layers

A map with several geometric layers in a single view can be generated with sublayers. You can render the geographic elements of a country, such as rivers and valleys, as a sublayer. Each layer can be drilled.

Angular Maps adaptive layout.

Adapts to any resolution

Maps has a highly responsive layout and an optimized design for desktops, tablets, and phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Angular Maps projections.

Custom projections

The Angular Maps component supports Mercator, rectangular, Miller, Eckert 3, Eckert 5, Eckert 6, and Winkel 3 projections.

Angular Maps zooming and panning.

Zooming and panning

Zooming and panning in Angular Maps are fast. Zoom the map by scrolling the mouse wheel, clicking the shapes, or using the zooming toolbar. Pan the map to navigate among regions easily.

Angular Maps globalization.

Globalization and localization

An internationalization library is used to globalize number, date, and time values in Maps. All the strings used in the Maps user interface can be localized by users as needed. Localizing UI strings involves using the localization (l10n) library.


Angular Maps library code example

Easily get started with Angular Maps library using a few simple lines of HTML and TS code, as demonstrated in the following. Also explore our Angular Maps library example, which shows you how to render maps.

  1. <ejs-maps id='container'>
  2. <e-layers>
  3. <e-layer [shapeData] = 'shapeData' [dataSource]='dataSource' [shapePropertyPath]='shapePropertyPath' [shapeDataPath]='shapeDataPath' [shapeSettings]='shapeSettings'>
  4. </e-layer>
  5. </e-layers>
  6. </ejs-maps>
  1. import { Component } from '@angular/core';
  2. import { world_map } from 'src/app/world_map';
  3.  
  4. @Component({
  5. selector: 'app-root',
  6. // Specifies the template string for the maps component.
  7. templateUrl: './app.component.html',
  8. })
  9. export class AppComponent {
  10. public shapeData: object = world_map;
  11. public dataSource: object =[
  12. { "Country": "China", "Membership": "Permanent", "Color": "#feb24c"},
  13. { "Country": "United States", "Membership": "Permanent", "Color": "#feb24c"},
  14. { "Country": "United Kingdom", "Membership": "Permanent", "Color": "#feb24c"},
  15. { "Country": "Germany", "Membership": "Permanent", "Color": "#feb24c"},
  16. { "Country": "Italy", "Membership": "Permanent", "Color": "#feb24c"},
  17. { "Country": "India", "Membership": "Permanent", "Color": "#feb24c"},
  18. { "Country": "Australia", "Membership": "Permanent", "Color": "#feb24c"},
  19. { "Country": "Japan", "Membership": "Permanent", "Color": "#feb24c"},
  20. { "Country": "France","Membership": "Permanent", "Color": "#feb24c" },
  21. { "Country": "Russia","Membership": "Permanent", "Color": "#feb24c"},
  22. { "Country": "Kazakhstan","Membership": "Non-Permanent", "Color": "#f03b20"},
  23. { "Country": "Poland","Membership": "Non-Permanent", "Color": "#f03b20"},
  24. { "Country": "Sweden","Membership": "Non-Permanent", "Color": "#f03b20"},
  25. { "Country": "South Africa","Membership": "Non-Permanent", "Color": "#f03b20"}];
  26. public shapePropertyPath: string = 'name';
  27. public shapeDataPath: string = 'Country';
  28. public shapeSettings: object = {
  29. fill: '#E5E5E5',
  30. colorValuePath: 'Color'
  31. }
  32. }

GeoJSON layer

Bind GeoJSON data to maps to render any geometric shape in SVG (scalable vector graphics) format to visualize data. For example, render the world map or U.S. map and customize it to the desired look using built-in options in the Angular Maps component. Add any number of layers to the maps.

Angular Maps library binding GeoJSON data.


Angular Maps rendered with geometric types over an OpenStreetMap map.

Geometric types

GeoJSON data contains geometric objects with properties such as geometric types and coordinates. The geometric types are the values present in the geometric objects of the GeoJSON data that specify the type of shape to be rendered, along with the coordinates that help draw the shape’s boundary line. Polygon, MultiPolygon, LineString, MultiLineString, Point, MultiPoint, and GeometryCollection are the supported geometric types.


Geo-imagery visuals

Built-in support for external geospatial imagery services, such as Bing Maps and OpenStreetMap, is used to visualize satellite, aerial, and street maps, or other kinds of imagery tiles without any external shape inputs. Users can render maps from various map providers, for example, Google Maps Tile API, TomTom, Mapbox, and Esri’s ArcGIS. By using these external services, map data can be located easily.

Angular Maps library geo-imagery visuals.


Angular Maps with multiple layers.

Multiple layers

Using sublayers, an Angular map can be created with multiple geometric layers in a single view. For example, render additional geographic features of a country such as rivers and valleys as sublayers. You can also drill down in each layer.


Markers

Denote a place with symbols or a note at the desired latitude and longitude on a map using a marker. For example, indicate a particular place on a U.S. map using a balloon marker shape. You can also place any HTML element as a marker and add multiple markers to a map.

Angular Maps with multiple markers.


Angular Maps rendered with marker clustering.

Marker clustering

Display multiple markers in the same location by clustering them. For example, use markers to indicate the top 50 cities in the world. If one marker overlaps another, they will be clustered, and the total number of markers will be displayed over the cluster.


Marker drag and drop

Drag and drop markers to reposition them in the map. After dragging and dropping markers, the marker data source and elements such as marker shape, color, and tooltip content can be changed using supported events.

Angular Maps with marker drag and drop option.


Angular Maps is rendered with a polygon.

Polygons

Polygons can be displayed over a shape layer or an online map to highlight a specific region.


Data labels

Data labels on a map provide identification for the shapes by displaying their names. Trim or hide the labels at intersections with other labels and when they exceed shape bounds.

Angular Maps with data labels.


Multiple bubbles rendered in Angular Maps.

Bubbles

Create a simple Angular map with bubbles to represent additional information about shapes such as population density or land area. Bubbles are rendered with various magnitudes and colors based on the underlying data values of the shape.


Denote flight routes or ship routes between two places on a geographic map with connector lines. The lines can also be curved.

Angular Maps rendered with navigation lines.


Color mapping

Categorize the shapes on a map by customizing their colors based on the underlying values. The Angular Maps component supports three types of color mapping: range color mapping, equal color mapping, and desaturation color mapping.

Range color mapping applied to the shapes in Angular Maps.

Range color mapping

Apply colors to the shapes by comparing their values with a desired numeric range. For example, apply colors to states in the U.S. based on population density.

Equal color mapping applied to the shapes in Angular Maps.

Equal color mapping

Differentiate a shape’s fill based on its underlying values and colors by using equal color mapping. For example, apply colors to states in the U.S. based on a winning political candidate.

Desaturation color mapping applied to the shapes in Angular Maps.

Desaturation color mapping

Change the opacity of the shapes by comparing their values with a desired numeric range. Minimum and maximum opacity of the shapes can be customized.

Desaturation color mapping with multiple colors applied to the shapes in Angular Maps.

Desaturation with multiple colors

Apply multiple colors to a shape from a gradient by comparing values with a desired numeric range. Any number of colors can be specified for creating the gradient.


Legends

Legends provide valuable information for interpreting a map by explaining colors, shapes, or other identifiers based on the data visualized. The Angular Maps component supports two types of legends: default and interactive.

Angular Maps rendered with default legend items.

Default

A legend contains swatches of symbols with descriptions to denote the categories of shapes in a map.

Angular Maps rendered with interactive legend.

Interactive

Use a map with an interactive legend to find the range of an underlying shape’s value on mouse hover.


Zooming and panning

Zoom an Angular map for close-up analysis by pinching the map, scrolling the mouse wheel, clicking the shapes, or by using the zooming toolbar. Pan the map for easy navigation across regions. You can also change the zoom level of the initial rendering.

Zooming and panning enabled in Angular Maps.


Displays a tooltip on moving mouse over the Angular Maps.

Tooltip

The tooltip displays details about the shape value on mouse hover. Tooltips are also displayed for markers and bubbles on a map.


Drill down

Drill down in a rendered Angular Maps component to display shape data located on another layer. For example, the initial layer may render the world map and on clicking a particular continent, the continent alone will render separately on another layer.

Angular Maps is rendered with multiple layers and enabled drill-down option.


Specific shape selected in the rendered Angular Maps.

Selection and highlight

Select a particular shape on mouse click or highlight on mouse hover to bring the focus to shapes on a map.


Custom shapes

Create an Angular map with custom shapes by rendering personalized GeoJSON data to indicate building infrastructure, points of interest, flight seat arrangement, sports stadiums, and more.

Bus seat selection simulated in Angular Maps.


Angular Maps rendered with an annotation that displays a compass image.

Annotations

Display any HTML element as an annotation at a specific point of interest on a map. For example, place a compass image on the map using an annotation. You can also add multiple annotations to a map.


Projection

Change the projection of the default rendered map. The Angular Maps component supports Mercator, Equirectangular, Miller, Eckert 3, Eckert 5, Eckert 6, Winkel 3, and Aitoff projections.


Angular Maps rendered with title and subtitle.

Title and subtitle

Add a title and subtitle to visualize additional information on maps. Fonts and alignment used in the title and subtitle can also be customized.


Appearance

Customize the look and feel of an Angular map by changing the fill color, background, border, and opacity of shapes. Almost all the elements in Angular Maps are customizable. The component also provides built-in palettes with customizable options by default.

Angular Maps rendered with customized appearance.


State persistence with Angular Maps library.

State persistence

State persistence allows the Maps component to maintain state by storing the most recent model value in browser cookies. When the appropriate setting is enabled, some of the Maps component model values are preserved even after the page is refreshed.


Exporting

Export or print the rendered Angular Maps to save a local copy for further use.

Export Angular Maps illustration.

Export

Export the Angular Maps component to a PDF document or in image formats such as SVG, PNG, and JPEG on the client side.

Print Angular Maps illustration.

Print

Print the rendered Angular Maps directly from the browser.


Accessibility

Keyboard navigation in Angular Maps library.

Keyboard navigation

The Angular Maps library ensures that every element is keyboard accessible. Major features like zooming, panning, shape selection, and drill down can be performed using just keyboard shortcuts, no mouse interaction required. This helps in creating highly accessible applications.

Accessibility in Angular Maps library.

Accessibility

The Angular Maps library has complete WAI-ARIA accessibility support. The Maps UI includes high-contrast visual elements that help visually impaired people have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.



Angular version compatibility

The Angular Maps library is kept up to date to make it compatible with the latest Angular version.

Maps Angular version compatibility.

Other supported frameworks

Maps is also available in our Blazor, React, Vue, and JavaScript frameworks. Check out the Maps component on different platforms from the following links:

Supported browsers

The Angular Maps library works well with all modern web browsers, such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers in Angular Maps Library.

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Syncfusion Angular Maps library supports the following features:

  • Geometric or custom shapes render using GeoJSON data.
  • Maps can be rendered from map providers like Bing Maps, OpenStreetMap, and Google Maps.
  • Markers denote specified latitudes and longitudes on a map.
  • Fast zooming and panning performance and elegant animation.
  • Simple configuration and API.
  • Support for all modern browsers.
  • Touch-friendly and responsive UI.
  • Expansive learning resources such as demos and documentation help you learn quickly and get started with Angular Maps fast.

We do not sell the Angular Maps separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular Maps. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Maps library demo, which demonstrates how to render and configure the Maps component.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular Maps, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Maps component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Recent activities in Angular Maps Library tutorials and blogs

The Angular Maps Library tutorial videos and blog posts will guide you in building your first app with Angular components. They provide problem-solving strategies, describe features and functionalities, announce new feature releases, explain best practices, and showcase example scenarios. Explore our latest posts on our blog and tutorial video channels for Angular Maps Library updates.

Up arrow icon
Chat with us